#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 skylighting-core
version:              0.14.1.1
visibility:           public
id:                   skylighting-core-0.14.1.1-KNGmoDusSz7kEZilHjQ0u
key:                  skylighting-core-0.14.1.1-KNGmoDusSz7kEZilHjQ0u
license:              BSD-3-Clause
copyright:            (C) 2016-2018 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
homepage:             https://github.com/jgm/skylighting
synopsis:             syntax highlighting library
description:
    Skylighting is a syntax highlighting library.
    It derives its tokenizers from XML syntax
    definitions used by KDE'\''s KSyntaxHighlighting
    framework, so any syntax supported by that
    framework can be added. An optional command-line
    program is provided.
    Skylighting is intended to be the successor to
    highlighting-kate.
    This package provides the core highlighting
    functionality under a permissive license. It also
    bundles XML parser definitions licensed under the
    GPL.

category:             Text
abi:                  af1e579fe54f1d02f7835575ef29a337
exposed:              True
exposed-modules:
    Skylighting.Core Skylighting.Loader Skylighting.Parser
    Skylighting.Regex Skylighting.Styles Skylighting.Tokenizer
    Skylighting.Types

hidden-modules:
    Regex.KDE Regex.KDE.Regex Regex.KDE.Compile Regex.KDE.Match

import-dirs:          /usr/lib/ghc-9.4.8/site-local/skylighting-core-0.14.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/skylighting-core-0.14.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/skylighting-core-0.14.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-skylighting-core
hs-libraries:         HSskylighting-core-0.14.1.1-KNGmoDusSz7kEZilHjQ0u
depends:
    aeson-2.1.2.1-38LADbNStwmEfKOReucTQy
    attoparsec-0.14.4-K9rgVNreKMkFhZdMbsqsTo base-4.17.2.1
    base64-bytestring-1.2.1.0-51qKIpJ73TV1AKDjoSOLuj binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-ADYWB5NR7iSCpUfBs08sXI
    colour-2.3.6-EBRe8mBxzeqCy9m4vJD3mT containers-0.6.7
    directory-1.3.7.1 filepath-1.4.2.2 mtl-2.2.2
    safe-0.3.21-9t18UaHoT5jA6SQBJagYvS text-2.0.2 transformers-0.5.6.2
    utf8-string-1.0.2-FnO1h94XkEn7naEuvLflUO
    xml-conduit-1.9.1.4-36Q8Vzw3y3oGpHR6LDDr04

haddock-interfaces:
    /usr/share/doc/haskell-skylighting-core/html/skylighting-core.haddock

haddock-html:         /usr/share/doc/haskell-skylighting-core/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

